System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

A process priority class encompasses a range of thread priority levels. Threads with different priorities running in the process run relative to the process's priority class. The operating system uses the base-priority level of all executable threads to determine which thread gets the next slice of processor time.

Win32 uses four priority classes with seven base priority levels per class. Based on time elapsed or other boosts, the operating system can change the base priority level when a process needs to be put ahead of others for access to the processor. In addition, you can set to temporarily boost the priority level of threads that have been taken out of the wait state. The priority is reset when the process returns to the wait state.

Indicates the priority that the system associates with a process. This value, together with the priority value of each thread of the process, determines each thread's base priority level.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass To be added

  Specifies that the process has priority above but below .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass To be added

  Specifies that the process has priority above but below .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass

  Use extreme care when specifying for the process's priority class, because a high priority class application can use nearly all available processor time.

  Specifies that the process performs time-critical tasks that must be executed immediately, such as the Task List dialog, which must respond quickly when called by the user, regardless of the load on the operating system. The threads of the process preempt the threads of normal or idle priority class processes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass

  The idle priority class is inherited by child processes.

  Specifies that the threads of this process run only when the system is idle, such as a screen saver. The threads of the process are preempted by the threads of any process running in a higher priority class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass To be added

  Specifies that the process has no special scheduling needs.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessPriorityClass

  The threads of a process with priority preempt the threads of all other processes, including operating system processes performing important tasks. Thus, a priority process that executes for more than a very brief interval can cause disk caches not to flush or cause the mouse to be unresponsive.

  Specifies that the process has the highest possible priority.